DocRefAuthor (BioJava-1.5-beta API)
Keywords: org.biojavax.DocRefAuthor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax
Interface DocRefAuthor

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleDocRefAuthor

    public interface DocRefAuthor

extends Comparable, Changeable

Represents an author of a documentary reference.

Since:
  1.5
Author:
  Richard Holland
See Also:
  `DocRef`

Nested Class Summary
`static class` | `DocRefAuthor.Tools` Useful tools for working with authors.

Method Summary
`String` | `getExtendedName()` Returns the extended version of the authors name.
`String` | `getName()` Returns a textual description of the authors name.
`boolean` | `isConsortium()` Is this author actually a consortium?
`boolean` | `isEditor()` Is this author actually an editor?

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getName

    String getName()

  Returns a textual description of the authors name. This field is immutable so should be set using the constructor of the implementing class.

  Returns:
    Value of property name.

### getExtendedName

    String getExtendedName()

  Returns the extended version of the authors name. Form: "name (consortium) (ed.)" where sections in brackets are optional.

  Returns:
    Value of property name with additions.

### isEditor

    boolean isEditor()

  Is this author actually an editor?

  Returns:
    true if they are, false if not.

### isConsortium

    boolean isConsortium()

  Is this author actually a consortium?

  Returns:
    true if they are, false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD